# DataExchange
TKSTEPBase
RWStepGeom

# RWStepGeom_RWDirection Class Reference

Read & Write Module for Direction
Check added by CKY , 7-OCT-1996
.

`#include <RWStepGeom_RWDirection.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | RWStepGeom_RWDirection ()
Standard_EXPORT void | ReadStep (const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(StepGeom_Direction)&ent) const
Standard_EXPORT void | WriteStep (StepData_StepWriter &SW, const Handle(StepGeom_Direction)&ent) const
Standard_EXPORT void | Check (const Handle(StepGeom_Direction)&ent, const Interface_ShareTool &shares, Handle(Interface_Check)&ach) const

## Constructor & Destructor Documentation

Standard_EXPORT RWStepGeom_RWDirection::RWStepGeom_RWDirection | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void RWStepGeom_RWDirection::Check | ( | const Handle(StepGeom_Direction)& | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle(Interface_Check)& | ach
| ) | const

void RWStepGeom_RWDirection::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStepGeom_RWDirection::operator new | ( | size_t | size | ) | `[inline]`

void* RWStepGeom_RWDirection::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void RWStepGeom_RWDirection::ReadStep | ( | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(StepGeom_Direction)& | ent
| ) | const

Standard_EXPORT void RWStepGeom_RWDirection::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle(StepGeom_Direction)& | ent
| ) | const

The documentation for this class was generated from the following file:

- RWStepGeom_RWDirection.hxx